## nyquist 3.12+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)

# if this is OS X, use an old SDK for backward compatibility
set(CMAKE_OSX_SYSROOT
/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk
CACHE STRING "SDK for OSX")

set(MACOSX_DEPLOYMENT_TARGET 10.7 CACHE STRING "minimum OS X target version")

project(nyquist)

###########
# OPTIONS #
###########

option(USE_SOURCE_LIBS "Enabling this will disable searching for system installed libraries and instead use source-compiled versions" ON)

if(WIN32)
  add_definitions("-D_CRT_SECURE_NO_WARNINGS -D_WINSOCK_DEPRECATED_NO_WARNINGS")
endif(WIN32)

################
# DEPENDENCIES #
################

if(USE_SOURCE_LIBS)

# sndfile
set(ogg_SRCS
   libogg/src/bitwise.c
   libogg/src/framing.c)

add_library(ogg_static STATIC ${ogg_SRCS})
if(WIN32)
  set_target_properties(ogg_static PROPERTIES COMPILE_FLAGS
                        "-DWIN32 -D_WINDOWS")
endif(WIN32)

set_property(TARGET ogg_static 
PROPERTY INCLUDE_DIRECTORIES
${CMAKE_CURRENT_SOURCE_DIR}/libogg/include)

set(vorbis_SRCS
libvorbis/lib/mdct.c
libvorbis/lib/smallft.c
libvorbis/lib/block.c
libvorbis/lib/envelope.c
libvorbis/lib/window.c
libvorbis/lib/lsp.c
libvorbis/lib/lpc.c
libvorbis/lib/analysis.c
libvorbis/lib/synthesis.c
libvorbis/lib/psy.c
libvorbis/lib/info.c
libvorbis/lib/floor1.c
libvorbis/lib/floor0.c
libvorbis/lib/res0.c
libvorbis/lib/mapping0.c
libvorbis/lib/registry.c
libvorbis/lib/codebook.c
libvorbis/lib/sharedbook.c
libvorbis/lib/lookup.c
libvorbis/lib/bitrate.c
)

add_library(vorbis_static STATIC ${vorbis_SRCS})
target_include_directories(vorbis_static PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/libvorbis/include 
    ${CMAKE_CURRENT_SOURCE_DIR}/libogg/include)

set(vorbisenc_SRCS
libvorbis/lib/vorbisenc.c)
add_library(vorbisenc_static STATIC ${vorbisenc_SRCS})
target_include_directories(vorbisenc_static PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/libvorbis/include 
    ${CMAKE_CURRENT_SOURCE_DIR}/libogg/include 
    ${CMAKE_CURRENT_SOURCE_DIR}/libvorbis/lib)

set(vorbisfile_SRCS
libvorbis/lib/vorbisfile.c)
add_library(vorbisfile_static STATIC ${vorbisfile_SRCS})
target_include_directories(vorbisfile_static PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/libvorbis/include 
    ${CMAKE_CURRENT_SOURCE_DIR}/libogg/include 
    ${CMAKE_CURRENT_SOURCE_DIR}/libvorbis/lib)

set(flac_SRCS
  FLAC/src/libFLAC/bitmath.c
  FLAC/src/libFLAC/bitreader.c
  FLAC/src/libFLAC/bitwriter.c
  FLAC/src/libFLAC/cpu.c
  FLAC/src/libFLAC/crc.c
  FLAC/src/libFLAC/fixed.c
  FLAC/src/libFLAC/float.c
  FLAC/src/libFLAC/format.c
#  FLAC/src/libFLAC/ia32/bitreader_asm.nasm
  FLAC/src/libFLAC/ia32/cpu_asm.nasm
  FLAC/src/libFLAC/ia32/fixed_asm.nasm
  FLAC/src/libFLAC/ia32/lpc_asm.nasm
#  FLAC/src/libFLAC/ia32/stream_encoder_asm.nasm
  FLAC/src/libFLAC/lpc.c
  FLAC/src/libFLAC/md5.c
  FLAC/src/libFLAC/memory.c
  FLAC/src/libFLAC/metadata_iterators.c
  FLAC/src/libFLAC/metadata_object.c
  FLAC/src/libFLAC/ogg_decoder_aspect.c
  FLAC/src/libFLAC/ogg_encoder_aspect.c
  FLAC/src/libFLAC/ogg_helper.c
  FLAC/src/libFLAC/ogg_mapping.c
  FLAC/src/libFLAC/stream_decoder.c
  FLAC/src/libFLAC/stream_encoder_framing.c
  FLAC/src/libFLAC/stream_encoder.c
  FLAC/src/libFLAC/window.c)

add_library(flac_static STATIC ${flac_SRCS})
# There's a problem with quotes in XCode, so we need a special case
if(APPLE)
  set_target_properties(flac_static PROPERTIES COMPILE_FLAGS
                        "-DVERSION=\\\"1.3.1\\\" -DHAVE_LROUND") 
else(APPLE)
  if(WIN32)
    set_target_properties(flac_static PROPERTIES COMPILE_FLAGS
        "-DVERSION=\\\"1.3.1\\\" -DFLAC__NO_DLL -DFLAC__HAS_OGG -DFLAC__CPU_IA32 -DFLAC__USE_3DNOW -DWIN32 -DFLAC__OVERFLOW_DETECT -D_LIB")
  else(WIN32)
    # also, Linux needs to get SIZE_MAX from stdint.h
    set_target_properties(flac_static PROPERTIES COMPILE_FLAGS
              "-DVERSION=\\\"1.3.1\\\" -DHAVE_LROUND -DHAVE_STDINT_H") 
  endif(WIN32)
endif(APPLE)
target_include_directories(flac_static PRIVATE
  ${CMAKE_CURRENT_SOURCE_DIR}/FLAC/src/libFLAC/include/ 
  ${CMAKE_CURRENT_SOURCE_DIR}/FLAC/include/ 
  ${CMAKE_CURRENT_SOURCE_DIR}/libogg/include 
  ${CMAKE_CURRENT_SOURCE_DIR}/FLAC/src/libFLAC/ia32)

set(sndfile_SRCS
  nylsf/ima_oki_adpcm.c
  nylsf/interleave.c
  nylsf/id3.c
  nylsf/audio_detect.c
  nylsf/chanmap.c
  nylsf/sndfile.c
  nylsf/common.c
  nylsf/file_io.c
  nylsf/aiff.c
  nylsf/alaw.c
  nylsf/au.c
  nylsf/avr.c
  nylsf/broadcast.c
  nylsf/caf.c
  nylsf/dither.c
  nylsf/double64.c
  nylsf/dwd.c
  nylsf/flac.c
  nylsf/float32.c
  nylsf/htk.c
  nylsf/mat4.c
  nylsf/mat5.c
  nylsf/nist.c
  nylsf/ogg.c
  nylsf/paf.c
  nylsf/pcm.c
  nylsf/pvf.c
  nylsf/raw.c
  nylsf/rx2.c
  nylsf/sd2.c
  nylsf/sds.c
  nylsf/ircam.c
  nylsf/dwvw.c
  nylsf/vox_adpcm.c
  nylsf/w64.c
  nylsf/wav_w64.c
  nylsf/wav.c
  nylsf/wve.c
  nylsf/xi.c
  nylsf/command.c
  nylsf/strings.c
  nylsf/svx.c
  nylsf/ima_adpcm.c
  nylsf/txw.c
  nylsf/ulaw.c
  nylsf/voc.c
  nylsf/ms_adpcm.c
  nylsf/g72x.c
  nylsf/gsm610.c
  nylsf/G72x/g72x.c
  nylsf/GSM610/gsm_create.c
  nylsf/GSM610/gsm_decode.c
  nylsf/GSM610/gsm_destroy.c
  nylsf/GSM610/gsm_encode.c
  nylsf/GSM610/code.c
  nylsf/GSM610/decode.c
  nylsf/GSM610/gsm_option.c
  nylsf/G72x/g721.c
  nylsf/G72x/g723_16.c
  nylsf/G72x/g723_24.c
  nylsf/G72x/g723_40.c
  nylsf/GSM610/long_term.c
  nylsf/GSM610/lpc.c
  nylsf/GSM610/preprocess.c
  nylsf/GSM610/rpe.c
  nylsf/GSM610/short_term.c
  nylsf/GSM610/table.c
  nylsf/GSM610/add.c
  nylsf/mpc2k.c
  nylsf/chunk.c
  nylsf/G72x/g721.c
  nylsf/G72x/g723_16.c
  nylsf/G72x/g723_24.c
  nylsf/G72x/g723_40.c
  nylsf/G72x/g72x.c
#  nylsf/G72x/g72x_test.c
  nylsf/GSM610/add.c
  nylsf/GSM610/code.c
  nylsf/GSM610/decode.c
  nylsf/GSM610/gsm_create.c
  nylsf/GSM610/gsm_decode.c
  nylsf/GSM610/gsm_destroy.c
  nylsf/GSM610/gsm_encode.c
  nylsf/GSM610/gsm_option.c
  nylsf/GSM610/long_term.c
  nylsf/GSM610/lpc.c
  nylsf/GSM610/preprocess.c
  nylsf/GSM610/rpe.c
  nylsf/GSM610/short_term.c
  nylsf/GSM610/table.c
  nylsf/macbinary3.c
  nylsf/macos.c
  nylsf/ogg_pcm.c
  nylsf/ogg_speex.c
  nylsf/ogg_vorbis.c
  nylsf/rf64.c
  )

add_library(sndfile_static STATIC ${sndfile_SRCS})

if(WIN32)
  set_target_properties(sndfile_static PROPERTIES COMPILE_FLAGS
              "-DOS_IS_WIN32=1")
  set(EXTRA_SNDFILE_INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/sys/win/msvc)
else(WIN32)
  set(EXTRA_SNDFILE_INCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/sys/unix)
endif(WIN32)


target_include_directories(sndfile_static PRIVATE
  ${CMAKE_CURRENT_SOURCE_DIR}/nylsf
  ${CMAKE_CURRENT_SOURCE_DIR}/FLAC/include 
  ${CMAKE_CURRENT_SOURCE_DIR}/libogg/include 
  ${CMAKE_CURRENT_SOURCE_DIR}/libvorbis/include
  ${CMAKE_CURRENT_SOURCE_DIR}/cmt
  ${EXTRA_SNDFILE_INCLUDE})

# portaudio
set(portaudio_SRCS 
  portaudio/src/common/pa_ringbuffer.c
  portaudio/src/common/pa_ringbuffer.h
  portaudio/src/hostapi/skeleton/pa_hostapi_skeleton.c
  portaudio/include/portaudio.h
  portaudio/src/common/pa_allocation.h
  portaudio/src/common/pa_converters.c
  portaudio/src/common/pa_converters.h
  portaudio/src/common/pa_cpuload.c
  portaudio/src/common/pa_cpuload.h
  portaudio/src/common/pa_debugprint.c
  portaudio/src/common/pa_debugprint.h
  portaudio/src/common/pa_dither.c
  portaudio/src/common/pa_dither.h
  portaudio/src/common/pa_endianness.h
  portaudio/src/common/pa_front.c
  portaudio/src/common/pa_hostapi.h
  portaudio/src/common/pa_process.c
  portaudio/src/common/pa_process.h
  portaudio/src/common/pa_stream.c
  portaudio/src/common/pa_stream.h
  portaudio/src/common/pa_trace.c
  portaudio/src/common/pa_trace.h
  portaudio/src/common/pa_types.h
  portaudio/src/common/pa_util.h
  portaudio/src/common/pa_allocation.c
  portaudio/include/pa_jack.h
#  portaudio/src/common/pa_skeleton.c
  )
if(UNIX)
  set(portaudio_SRCS ${portaudio_SRCS}
      portaudio/src/os/unix/pa_unix_util.c
      portaudio/src/os/unix/pa_unix_util.h
      portaudio/src/os/unix/pa_unix_hostapis.c
      portaudio/src/os/unix/pa_unix_util.c)
  if(APPLE)
    set(portaudio_mac_SRCS 
#     correct hostapis seesm to be in pa_unix_hostapis.c
#      portaudio/src/os/mac_osx/pa_mac_hostapis.c 
      portaudio/include/pa_mac_core.h
      portaudio/src/hostapi/coreaudio/pa_mac_core_utilities.c
      portaudio/src/hostapi/coreaudio/pa_mac_core_utilities.h
      portaudio/src/hostapi/coreaudio/pa_mac_core_blocking.c
      portaudio/src/hostapi/coreaudio/pa_mac_core_blocking.h
      portaudio/src/hostapi/coreaudio/pa_mac_core_internal.h
      portaudio/src/hostapi/coreaudio/pa_mac_core.c)
    set(portaudio_SRCS ${portaudio_SRCS} ${portaudio_mac_SRCS})
  else(APPLE)
    # Linux
    set(portaudio_linux_SRCS 
      portaudio/src/hostapi/alsa/pa_linux_alsa.c
      portaudio/src/hostapi/oss/pa_unix_oss.c)
    set(portaudio_SRCS ${portaudio_SRCS} ${portaudio_linux_SRCS})
  endif(APPLE)
else(UNIX)
  #WIN32
  set(portaudio_SRCS ${portaudio_SRCS} 
      portaudio/src/os/win/pa_win_hostapis.c
      portaudio/src/os/win/pa_win_util.c
      portaudio/src/os/win/pa_win_coinitialize.c
      portaudio/src/os/win/pa_win_coinitialize.h
      portaudio/src/os/win/pa_win_waveformat.c
      portaudio/src/os/win/pa_x86_plain_converters.c
      portaudio/src/os/win/pa_x86_plain_converters.h
      portaudio/src/hostapi/wasapi/pa_win_wasapi.c
      portaudio/src/hostapi/wmme/pa_win_wmme.c)

  # release will use static runtime library
  foreach(flag_var CMAKE_CXX_FLAGS_RELEASE CMAKE_C_FLAGS_RELEASE)
    if(${flag_var} MATCHES "/MD")
      string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
    endif(${flag_var} MATCHES "/MD")
  endforeach(flag_var)
  message(STATUS 
    "Note: overriding CMAKE_*_FLAGS_* to use Visual C static multithread library")
  set(VERBOSE_WARNINGS 0 CACHE BOOL "Do not use _CRT_SECURE_NO_WARNINGS to disable suggestions to use 'secure' versions of strcpy, etc.")
  if(NOT VERBOSE_WARNINGS)
    list(APPEND COMMON_DEFINITIONS "_CRT_SECURE_NO_WARNINGS")
  endif(NOT VERBOSE_WARNINGS)
endif(UNIX)

add_library(portaudio_static STATIC ${portaudio_SRCS})
target_include_directories(portaudio_static PRIVATE
  PROPERTY INCLUDE_DIRECTORIES
  ${CMAKE_CURRENT_SOURCE_DIR}/portaudio/include 
  ${CMAKE_CURRENT_SOURCE_DIR}/portaudio/src/common)

if(UNIX)
  target_include_directories(portaudio_static PRIVATE
          PROPERTY INCLUDE_DIRECTORIES
          ${CMAKE_CURRENT_SOURCE_DIR}/portaudio/src/os/unix)
if(APPLE)
else(APPLE)
    # Linux
    set(USE_ALSA 1 CACHE BOOL "Use ALSA audio rather than OSS")
    
    if(USE_ALSA)
      set(ALSA_FLAGS "-DPA_USE_ALSA=1")
    else(USE_ALSA)
      set(ALSA_FLAGS "")
    endif(USE_ALSA)
    set_target_properties(portaudio_static PROPERTIES COMPILE_FLAGS 
      "-DPA_USE_OSS=1 -DHAVE_LINUX_SOUNDCARD_H ${ALSA_FLAGS}")
endif(APPLE)
else(UNIX)
    # Windows
    set_target_properties(portaudio_static PROPERTIES COMPILE_FLAGS 
            "-DPA_USE_WMME=1 -DPA_USE_WASAPI=1")
    target_include_directories(portaudio_static PRIVATE
            PROPERTY INCLUDE_DIRECTORIES 
            ${CMAKE_CURRENT_SOURCE_DIR}/portaudio/src/os/win)
endif(UNIX)

## portaudio
set(PORTAUDIO_INCLUDE_PATH ../portaudio/include)
set(PORTAUDIO_LIBRARY portaudio_static)
include_directories(${PORTAUDIO_INCLUDE_PATH})
##


# liblo

set(liblo_SRCS
  liblo/src/send.c
  liblo/src/server.c
  liblo/src/address.c
  liblo/src/blob.c
  liblo/src/bundle.c
  liblo/src/message.c
  liblo/src/method.c
  liblo/src/pattern_match.c
  liblo/src/timetag.c
  )

add_library(lo_static STATIC ${liblo_SRCS})
if(UNIX) # including OS X...
set(LIBLO_EXTRA_INCLUDES ${CMAKE_CURRENT_SOURCE_DIR}/liblo/osx)
set_target_properties(lo_static PROPERTIES COMPILE_FLAGS -DHAVE_CONFIG_H)
else(UNIX)
set_target_properties(lo_static PROPERTIES COMPILE_FLAGS 
    "-DPACKAGE_NAME=\\\"liblo\\\" -DHAVE_SELECT -DPRINTF_LL=\\\"ll\\\"")
endif(UNIX)

target_include_directories(lo_static PRIVATE 
  ${CMAKE_CURRENT_SOURCE_DIR}/liblo 
  ${CMAKE_CURRENT_SOURCE_DIR}/liblo/src 
  ${LIBLO_EXTRA_INCLUDES})

else(USE_SOURCE_LIBS)

# sndfile
find_library(LIBSNDFILE_LIBRARY sndfile)

=== debian/changelog ===
nyquist (3.12+ds-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Steve Robbins ]
  * [b81e475] Ignore .class and other built files.
  * [f310c7a] Ignore dir .pc
  * [66542a8] Specify copyright format so can exclude upstream files.
  * [935a61f] Build using -fcommon to support use of GCC 10.  Closes: #957621.

 -- Steve M. Robbins <smr@debian.org>  Sat, 01 Aug 2020 14:08:45 -0500

nyquist (3.12+ds-3) unstable; urgency=medium

  * Modify default-jdk build-dep to be >= 2:1.8~, since the code won't
    build with Java 1.5.  Closes: #884473.
  * patches/fix-build-warnings.patch: New.  Contains several source fixes to
    silence warnings.
  * patches/dont-include-asm-ioctls.patch: New.  Don't include
    <asm/ioctl.h> Closes: #884474.

 -- Steve M. Robbins <smr@debian.org>  Sat, 23 Dec 2017 23:42:24 -0600

nyquist (3.12+ds-2) unstable; urgency=medium

  * Add build-dep for chrpath.

 -- Steve M. Robbins <smr@debian.org>  Mon, 11 Dec 2017 15:36:44 -0600

nyquist (3.12+ds-1) unstable; urgency=medium

  * New upstream.  Closes: #791953
    - repack sources, omitting embedded sources.  Closes: #705590
    - no longer uses automake, dropping dependencies.  Closes: #865197
    - builds with gcc 7.  Closes: #878318
    - number format bug fixed upstream.  Closes: #730998
  * Drop patches: makefile.patch, use-system-sndfile.patch,
    use-system-liblo.patch, use-system-portadio.patch,
    fix-term-includes.patch

 -- Steve M. Robbins <smr@debian.org>  Sun, 10 Dec 2017 23:42:23 -0600

nyquist (3.05-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jonathan Dowland ]
  * Update Vcs-Browser URL.  Closes: #705588

  [ Andy Whitcroft ]
  * Add patch to fix FTBFS on i386 due to overlapping use of strcpy().
    Closes: #705948

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 02 Apr 2017 19:57:10 +0200

=== debian/control ===
Source: nyquist
Homepage: http://www.cs.cmu.edu/~music/nyquist/
Section: sound
Priority: optional
Maintainer: Steve M. Robbins <smr@debian.org>
Build-Depends: cmake (>= 2.8.8), debhelper (>= 10), chrpath, javahelper, default-jdk (>= 2:1.8~), libsndfile1-dev, liblo-dev, portaudio19-dev
Vcs-Browser: https://salsa.debian.org/debian/nyquist
Standards-Version: 4.1.2
Vcs-Git: https://salsa.debian.org/debian/nyquist.git

Package: nyquist
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: language for music composition and sound synthesis
 Unlike score languages that tend to deal only with events, or signal
 processing languages that tend to deal only with signals and synthesis,
 Nyquist handles both in a single integrated system. Nyquist is also flexible
 and easy to use because it is based on an interactive Lisp interpreter
 (XLISP).
 .
 With Nyquist, you can design instruments by combining functions (much as you
 would using the orchestra languages of Music V, cmusic, or Csound). You can
 call upon these instruments and generate a sound just by typing a simple
 expression. You can combine simple expressions into complex ones to create a
 whole composition.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds \
  http://qa.debian.org/watch/sf.php/nyquist/ nyqsrc(\d)(.+).zip

## nyquist 3.20+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 2.8.8)
+cmake_minimum_required(VERSION 2.8.12)
 
 # if this is OS X, use an old SDK for backward compatibility
-set(CMAKE_OSX_SYSROOT
-/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk
-CACHE STRING "SDK for OSX")
+# set(CMAKE_OSX_SYSROOT
+# /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk
+# CACHE STRING "SDK for OSX")
 
 set(MACOSX_DEPLOYMENT_TARGET 10.7 CACHE STRING "minimum OS X target version")
 
@@ -33,7 +33,7 @@
 add_library(ogg_static STATIC ${ogg_SRCS})
 if(WIN32)
   set_target_properties(ogg_static PROPERTIES COMPILE_FLAGS
-                        "-DWIN32 -D_WINDOWS")
+                        "-DWIN32 -D_WINDOWS /wd4068")
 endif(WIN32)
 
 set_property(TARGET ogg_static 
@@ -403,5 +403,3 @@
 else(USE_SOURCE_LIBS)
 
 # sndfile
-find_library(LIBSNDFILE_LIBRARY sndfile)
-

=== debian/changelog ===
nyquist (3.20+ds-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [82025b6] Replace fix-build-warnings.patch with updated patches.
  * [3303d0c] Set the sound file dir rather than messing with working dir.

 -- Steve M. Robbins <smr@debian.org>  Sat, 22 Oct 2022 22:59:37 -0500

nyquist (3.20+ds-1) unstable; urgency=medium

  [ Steve Robbins ]
  * New upstream version 3.15+ds
  * Specify copyright format so can exclude upstream files.
  * refresh patches
  * Remove patch remove-corba-reference.diff - fixed upstream.
  * Install demos subdir.
  * New patch to search for debian nyquist dir /usr/lib/nyquist
  * jny: Do not change working directory when starting Nyquist IDE.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Steve M. Robbins ]
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)

  [ Steve Robbins ]
  * [d902cad] rebase patches
  * [e31bb9b] New upstream version 3.20+ds
  * [a453cc7] rebase patches

 -- Steve M. Robbins <smr@debian.org>  Mon, 17 Oct 2022 23:16:12 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,25 @@
 Source: nyquist
-Homepage: http://www.cs.cmu.edu/~music/nyquist/
+Maintainer: Steve M. Robbins <smr@debian.org>
 Section: sound
 Priority: optional
-Maintainer: Steve M. Robbins <smr@debian.org>
-Build-Depends: cmake (>= 2.8.8), debhelper (>= 10), chrpath, javahelper, default-jdk (>= 2:1.8~), libsndfile1-dev, liblo-dev, portaudio19-dev
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               javahelper,
+               default-jdk,
+               chrpath,
+               libsndfile1-dev,
+               liblo-dev,
+               portaudio19-dev
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/nyquist
-Standards-Version: 4.1.2
 Vcs-Git: https://salsa.debian.org/debian/nyquist.git
+Homepage: http://www.cs.cmu.edu/~music/nyquist/
+Rules-Requires-Root: no
 
 Package: nyquist
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: language for music composition and sound synthesis
  Unlike score languages that tend to deal only with events, or signal
  processing languages that tend to deal only with signals and synthesis,

## nyquist 3.22%2Bds

=== debian/changelog ===
nyquist (3.22+ds-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [8ee52b5] Update patches.  Fix gcc-13 build by not re-defining intptr_t.
    Closes: #1037794.
  * [fe54836] Reformat copyright to be machine readable.

 -- Steve M. Robbins <smr@debian.org>  Wed, 05 Jul 2023 22:59:34 -0500

nyquist (3.22+ds-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [f376e1f] New upstream version 3.22+ds
  * [44eb886] Update patch set.

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 Jun 2023 00:12:19 -0500

## nyquist 3.23+ds

=== debian/changelog ===
nyquist (3.23+ds-1) unstable; urgency=medium

  [ Steve M. Robbins ]
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * [54208cb] Use secure URI in Homepage field.
  * [690f60a] Fix function signature.  Closes: #1075328

 -- Steve M. Robbins <smr@debian.org>  Wed, 24 Jul 2024 20:17:08 -0500

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                libsndfile1-dev,
                liblo-dev,
                portaudio19-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/nyquist
 Vcs-Git: https://salsa.debian.org/debian/nyquist.git
-Homepage: http://www.cs.cmu.edu/~music/nyquist/
+Homepage: https://www.cs.cmu.edu/~music/nyquist/
 Rules-Requires-Root: no
 
 Package: nyquist

## nyquist 3.24+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.27)
 
 # if this is OS X, use an old SDK for backward compatibility
 # set(CMAKE_OSX_SYSROOT
 # /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.7.sdk
 # CACHE STRING "SDK for OSX")
 
-set(MACOSX_DEPLOYMENT_TARGET 10.7 CACHE STRING "minimum OS X target version")
+set(MACOSX_DEPLOYMENT_TARGET 10.15 CACHE STRING "minimum OS X target version")
 
 project(nyquist)

=== macosxproject/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
PROJECT(nyquist)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})
add_subdirectory(.. build)

=== misc/Makefile ===
#
# FILE: Makefile
#   BY: Christopher Lee Fraley
#   and Roger B. Dannenberg.
# DESC: This file builds various utilities for Nyquist
#

CC = gcc $(CFLAGS)

# the unix path gets us switches.h:
# the cmt path gets us swlogic.h:
CFLAGS = -g -I../sys/unix -I../cmt

# Directory info:
BINPATH = .

# Intgen stuff:
intgen: cmdline.o intgen.o
	$(CC) cmdline.o intgen.o -o $(BINPATH)/intgen

cmdline.o: cext.h cmdline.h
intgen.o: cext.h cmdline.h

#sampleprint - dumb but useful
sampleprint: sampleprint.o
	$(CC) sampleprint.o -o $(BINPATH)/sampleprint

sampleprint.o: sampleprint.c

#sine
sne: sne.o
	$(CC) sne.o -o $(BINPATH)/sne

sne.o: sne.c

#play
play: play.o
	$(CC) play.o -o $(BINPATH)/play

play.o: play.c

#plot
plot: plot.o
	$(CC) plot.o -o $(BINPATH)/plot

plot.o: plot.c

#unpacker
unpacker_o = unpacker.o convert.o

unpacker: $(unpacker_o)
	$(CC) $(unpacker_o) -o unpacker

#packer
packer_o = packer.o convert.o

packer: $(packer_o)
	$(CC) $(packer_o) -o packer

clean:
	rm -f *.o

cleaner: clean
	rm -f intgen play sine plot packer unpacker
	rm -f *.BAK
	rm -f *~

=== debian/changelog ===
nyquist (3.24+ds-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [e81b287] Fixes to build with C23.  Closes: #1097486

 -- Steve M. Robbins <smr@debian.org>  Thu, 11 Sep 2025 01:24:12 -0500

nyquist (3.24+ds-1) unstable; urgency=medium

  [ Steve M. Robbins ]
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * [06e9e50] rebase patches

 -- Steve M. Robbins <smr@debian.org>  Thu, 14 Aug 2025 23:29:27 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libsndfile1-dev,
                liblo-dev,
                portaudio19-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/nyquist
 Vcs-Git: https://salsa.debian.org/debian/nyquist.git
 Homepage: https://www.cs.cmu.edu/~music/nyquist/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -fcommon

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_SOURCE_LIBS=OFF

override_dh_install:
	dh_install
	chmod -x debian/nyquist/usr/share/nyquist/lib/*.lsp
	chrpath -d debian/nyquist/usr/lib/nyquist/ny

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds \
  http://qa.debian.org/watch/sf.php/nyquist/ nyqsrc(\d)(.+).zip
